package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardCountryDto;
import com.crm.rely.backend.core.entity.ucard.CardCountryEntity;
import com.crm.rely.backend.core.pojo.table.ucard.CardCountryTable;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardCountryMapper {

    List<CardCountryDto> getCardCountryList(CardCountryEntity request);

    void batchSave(List<CardCountryTable> list);

    void deleteByCardCategory(Integer cardCategory);
}
